# Textupdate

This widgets reads a PV and displays the result as a string.
Per default, it uses the configuration parameters of the PV (display precision, units) to format the string.

## Properties

- PV:
  The PV that this widget displays
- Mode:
  In default mode, the precision of the PV (e.g.PREC in EPICS DB) is used. In decimal mode, a separate precision can be configured. In hex mode, the number is displayed in hexadecimal notation.
- Precision:
  See decimal mode.
- Line Width:
  If defined, a box with this line width will surround the widget.
- Fg Color:
  The foreground = text color. This color can be based on a color rule! For a color value, the PV us used.
- Bg Color:
  The background color, only used when filled is checked.
- Color PV:
  IF the foreground color is rule-based, a color PV can be specified to determine the color value. Per default, the primary PV is used.
- Font:
  The font.

The Textentry and RegTextupdate widgets are based on this widget.